GIT-BRANCHMOVE(1)

NAME
git-branchmove - move branches to or from a remote

SYNOPSIS
git-branchmove [--detach|-d] get|put remote pattern...

DESCRIPTION
Move branches matching pattern to or from git remote remote.

OPTIONS

--detach|-d
    If the move would delete the currently checked out branch in the source repository, attempt to detach HEAD first.

    Note that in the case of the get operation, the attempt to detach HEAD is somewhat fragile. You will need unrestricted SSH access to the remote, and pushInsteadOf git configuration keys will not always be expanded, due to limitations in git.

AUTHOR
This Perl version of git-branchmove was written by Sean Whitton <spwhitton@spwhitton.name>, based on an earlier shell script by Ian Jackson. That script made some assumptions that we try to avoid, for compatibility with more git remotes and local git configurations.